# Apps resource

> \[!IMPORTANT]
>
> The Push Notifications API is currently available as a
> Private Beta product. The information contained in this document is subject to change. You acknowledge
> and agree that your use of the Twilio Push Notifications API is subject to the terms of the [Services in
> Private Beta](https://www.twilio.com/en-us/legal/service-country-specific-terms/private-beta). This
> means that some features are not yet implemented and others may be changed before the product is
> declared as Generally Available. Private Beta products are not covered by the Twilio Support Terms or
> Twilio Service Level Agreement.

An App resource represents a namespace that associates different [Credentials](/docs/push-notifications/api/credential-resource) with specific [Device Registrations](/docs/push-notifications/api/device-registration-resource). Use Apps to separate registrations and credentials for different environments or applications.

For example, you might have a development App and a production App, or you might offer more than one user-facing application to your customers.

The API creates an App automatically when you [create a Credential](/docs/push-notifications/api/credential-resource#create-a-credential) with an `appName` that doesn't exist yet. If no other Apps exist, the API sets the new App as the default. You can have a maximum of 10 Apps per account.

## App Properties

<OperationTable type="properties" data={{"x-twilio-version":1,"title":"PushNotificationApp","type":"object","required":["name","isDefault","defaultCredentials","createdAt","updatedAt"],"refName":"PushNotificationApp","modelName":"PushNotificationApp","properties":{"name":{"description":"The name of the `App`. This is the unique identifier of the `App`.","x-twilio-version":1,"title":"PushNotificationAppName","type":"string","pattern":"^[a-z0-9_]+$","minLength":1,"maxLength":64,"refName":"PushNotificationAppName","modelName":""},"isDefault":{"type":"boolean","description":"Whether this `App` is the default (Push Notification) App for the Account.\nThe first `App` auto-created is automatically set as the default.\nTo update the default `App`, use `PATCH /PushNotifications/Apps/{appName}`."},"defaultCredentials":{"type":"array","description":"The default Credentials for this `App`.","items":{"x-twilio-version":1,"title":"PushNotificationAppDefaultCredential","type":"object","description":"The default Credential for a `credentialType` (provider) for a Push Notification `App`","required":["id","credentialType","createdAt","updatedAt"],"refName":"PushNotificationAppDefaultCredential","modelName":"PushNotificationAppDefaultCredential","properties":{"id":{"x-twilio-version":1,"title":"CredentialId","description":"A reference to Credential.","type":"string","pattern":"^comms_credential_[a-hjkmnpqrstv-z0-9]{26,34}","example":"comms_credential_01h9krwprkeee8fzqspvwy6nq8","refName":"CredentialId","modelName":""},"credentialType":{"x-twilio-version":1,"title":"PushCredentialType","description":"The credential types available for PushNotifications.","type":"string","enum":["APN","APN_SANDBOX","FCM"],"refName":"PushCredentialType","modelName":"PushCredentialType"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}} />

## Fetch an App

`GET https://comms.twilio.com/v1/PushNotifications/Apps/{appName}`

Retrieve a single App resource by making an HTTP `GET` request to the App resource URI with the App name.

The response includes the App's `defaultCredentials` array, which lists the default credential for each provider type (`APN`, `FCM`).

### Path parameters

```json
[{"schema":{"x-twilio-version":1,"title":"PushNotificationAppName","description":"The name of the Push Notification `App`.","type":"string","pattern":"^[a-z0-9_]+$","minLength":1,"maxLength":64,"refName":"PushNotificationAppName","modelName":""},"x-twilio-version":1,"name":"appName","in":"path","required":true}]
```

### Responses

<OperationResponse responses={[{"responseCode":"200","schema":{"description":"OK","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"PushNotificationApp","type":"object","required":["name","isDefault","defaultCredentials","createdAt","updatedAt"],"refName":"PushNotificationApp","modelName":"PushNotificationApp","properties":{"name":{"description":"The name of the `App`. This is the unique identifier of the `App`.","x-twilio-version":1,"title":"PushNotificationAppName","type":"string","pattern":"^[a-z0-9_]+$","minLength":1,"maxLength":64,"refName":"PushNotificationAppName","modelName":""},"isDefault":{"type":"boolean","description":"Whether this `App` is the default (Push Notification) App for the Account.\nThe first `App` auto-created is automatically set as the default.\nTo update the default `App`, use `PATCH /PushNotifications/Apps/{appName}`."},"defaultCredentials":{"type":"array","description":"The default Credentials for this `App`.","items":{"x-twilio-version":1,"title":"PushNotificationAppDefaultCredential","type":"object","description":"The default Credential for a `credentialType` (provider) for a Push Notification `App`","required":["id","credentialType","createdAt","updatedAt"],"refName":"PushNotificationAppDefaultCredential","modelName":"PushNotificationAppDefaultCredential","properties":{"id":{"x-twilio-version":1,"title":"CredentialId","description":"A reference to Credential.","type":"string","pattern":"^comms_credential_[a-hjkmnpqrstv-z0-9]{26,34}","example":"comms_credential_01h9krwprkeee8fzqspvwy6nq8","refName":"CredentialId","modelName":""},"credentialType":{"x-twilio-version":1,"title":"PushCredentialType","description":"The credential types available for PushNotifications.","type":"string","enum":["APN","APN_SANDBOX","FCM"],"refName":"PushCredentialType","modelName":"PushCredentialType"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"examples":{"PushNotificationApp":{"x-twilio-version":1,"summary":"Push Notification App","value":{"lang":"json","value":"{\n  \"name\": \"limonade_app\",\n  \"isDefault\": true,\n  \"defaultCredentials\": [\n    {\n      \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n      \"credentialType\": \"FCM\",\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    },\n    {\n      \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n      \"credentialType\": \"APN\",\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    }\n  ],\n  \"createdAt\": \"2023-08-31T14:15:22Z\",\n  \"updatedAt\": \"2023-08-31T14:15:22Z\"\n}","meta":"","code":"{\n  \"name\": \"limonade_app\",\n  \"isDefault\": true,\n  \"defaultCredentials\": [\n    {\n      \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n      \"credentialType\": \"FCM\",\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    },\n    {\n      \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n      \"credentialType\": \"APN\",\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    }\n  ],\n  \"createdAt\": \"2023-08-31T14:15:22Z\",\n  \"updatedAt\": \"2023-08-31T14:15:22Z\"\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"name\"","#7EE787"],[":","#C9D1D9"]," ",["\"limonade_app\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"isDefault\"","#7EE787"],[":","#C9D1D9"]," ",["true","#79C0FF"],[",","#C9D1D9"],"\n  ",["\"defaultCredentials\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"FCM\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"APN\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["],","#C9D1D9"],"\n  ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"404","schema":{"x-twilio-version":1,"description":"This error indicates that the requested resource was not found.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"404 Response","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The resource was not found.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http404Response","modelName":"__components_responses_Http404Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ServiceUnavailable":{"summary":"Service Unavailable","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20503","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Service unavailable.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20503\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http503Response","modelName":"__components_responses_Http503Response"}}]} path="https://comms.twilio.com/v1/PushNotifications/Apps/{appName}" method="get" specType="comms" />

Fetch a PushNotification App

```ts
import { TwilioClient } from "twilio-comms";

async function main() {
    const client = new TwilioClient({
        accountId: "<username>",
        authToken: "<password>",
    });
    await client.pushNotifications.apps.fetch("appName");
}
main();
```

```py
from twilio import TwilioComms

client = TwilioComms(
    account_id="<username>",
    auth_token="<password>",
)

client.push_notifications.apps.fetch(
    app_name="appName",
)
```

```cs
using TwilioComms;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new TwilioCommsClient(
            accountId: "<username>",
            authToken: "<password>"
        );

        await client.PushNotifications.Apps.FetchAsync(
            "appName"
        );
    }

}
```

```java
package com.example.usage;

import com.twilio.comms.TwilioCommsClient;

public class Example {
    public static void main(String[] args) {
        TwilioCommsClient client = TwilioCommsClient
            .builder()
            .credentials("<username>", "<password>")
            .build();

        client.pushNotifications().apps().fetch("appName");
    }
}
```

```go
package example

import (
    context "context"

    client "github.com/twilio/twilio-comms-go/twilio/client"
    option "github.com/twilio/twilio-comms-go/twilio/option"
)

func do() {
    client := client.NewWithOptions(
        option.WithBasicAuth(
            "<username>",
            "<password>",
        ),
    )
    client.PushNotifications.Apps.Fetch(
        context.TODO(),
        "appName",
    )
}
```

```php
<?php

namespace Example;

use Twilio\TwilioComms;

$client = new TwilioComms(
    accountId: '<username>',
    authToken: '<password>',
);
$client->pushNotifications->apps->fetch(
    'appName',
);
```

```rb
require "twilio"

client = Twilio::Client.new(
  account_id: "<username>",
  auth_token: "<password>"
)

client.push_notifications.apps.fetch(app_name: "appName")
```

```bash
curl 'https://comms.twilio.com/v1/PushNotifications/Apps/{appName}' \
-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
```

## List Apps

`GET https://comms.twilio.com/v1/PushNotifications/Apps`

Returns a list of all Apps associated with your account. You can filter by date range or default status.

### Query parameters

```json
[{"in":"query","name":"startDate","description":"Filter to Push Notification Apps created after the specified date and time.","schema":{"type":"string","format":"date-time"}},{"in":"query","name":"endDate","description":"Filter to Push Notification Apps created before the specified date and time.","schema":{"type":"string","format":"date-time"}},{"in":"query","name":"isDefault","description":"Filter by `App.isDefault`.","schema":{"type":"boolean"}},{"in":"query","name":"pageToken","description":"The token to retrieve the next page of results.","schema":{"x-twilio-version":1,"description":"The token that identifies the page of resources to fetch.","title":"PageToken","type":"string","refName":"PageToken","modelName":""}},{"in":"query","name":"pageSize","description":"The number of resources to return in a page.","schema":{"x-twilio-version":1,"description":"Total number of items returned in a single page, the minimum is 1 and maximum is 1000. Default is 50.","title":"PageSize","type":"integer","minimum":1,"maximum":1000,"default":50,"example":50,"refName":"PageSize","modelName":""}}]
```

### Responses

<OperationResponse responses={[{"responseCode":"200","schema":{"description":"OK","content":{"application/json":{"schema":{"title":"ListPushNotificationAppsResponse","type":"object","required":["apps","pagination"],"properties":{"apps":{"type":"array","items":{"x-twilio-version":1,"title":"PushNotificationApp","type":"object","required":["name","isDefault","defaultCredentials","createdAt","updatedAt"],"refName":"PushNotificationApp","modelName":"PushNotificationApp","properties":{"name":{"description":"The name of the `App`. This is the unique identifier of the `App`.","x-twilio-version":1,"title":"PushNotificationAppName","type":"string","pattern":"^[a-z0-9_]+$","minLength":1,"maxLength":64,"refName":"PushNotificationAppName","modelName":""},"isDefault":{"type":"boolean","description":"Whether this `App` is the default (Push Notification) App for the Account.\nThe first `App` auto-created is automatically set as the default.\nTo update the default `App`, use `PATCH /PushNotifications/Apps/{appName}`."},"defaultCredentials":{"type":"array","description":"The default Credentials for this `App`.","items":{"x-twilio-version":1,"title":"PushNotificationAppDefaultCredential","type":"object","description":"The default Credential for a `credentialType` (provider) for a Push Notification `App`","required":["id","credentialType","createdAt","updatedAt"],"refName":"PushNotificationAppDefaultCredential","modelName":"PushNotificationAppDefaultCredential","properties":{"id":{"x-twilio-version":1,"title":"CredentialId","description":"A reference to Credential.","type":"string","pattern":"^comms_credential_[a-hjkmnpqrstv-z0-9]{26,34}","example":"comms_credential_01h9krwprkeee8fzqspvwy6nq8","refName":"CredentialId","modelName":""},"credentialType":{"x-twilio-version":1,"title":"PushCredentialType","description":"The credential types available for PushNotifications.","type":"string","enum":["APN","APN_SANDBOX","FCM"],"refName":"PushCredentialType","modelName":"PushCredentialType"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"pagination":{"x-twilio-version":1,"title":"PaginationMetadata","description":"Metadata for paginated results. \nThis object contains two tokens to navigate through paginated results. \n- Use `next` to retrieve the 'next' page in the result list.\n- Use `self` to retrieve the same page of the result list again. \n- Supply the token in the `pageToken` query param.","type":"object","required":["next","self"],"refName":"PaginationMetadata","modelName":"PaginationMetadata","properties":{"next":{"description":"Token for the next page of results. \nSupply the token in the `pageToken` query param.","type":["string","null"]},"self":{"description":"Token for the current page of results. \nSupply the token in the `pageToken` query param.","type":"string"}}}}},"examples":{"ListOfPushApps":{"summary":"List of Push Apps","x-twilio-version":1,"value":{"lang":"json","value":"{\n  \"apps\": [\n    {\n      \"name\": \"limonade_app\",\n      \"isDefault\": true,\n      \"defaultCredentials\": [\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"FCM\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        },\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq9\",\n          \"credentialType\": \"APN\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        }\n      ],\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    },\n    {\n      \"name\": \"limonade_eats_app\",\n      \"isDefault\": false,\n      \"defaultCredentials\": [\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"FCM\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        },\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"APN\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        }\n      ],\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    }\n  ],\n  \"pagination\": {\n    \"next\": null,\n    \"self\": \"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"\n  }\n}","meta":"","code":"{\n  \"apps\": [\n    {\n      \"name\": \"limonade_app\",\n      \"isDefault\": true,\n      \"defaultCredentials\": [\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"FCM\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        },\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq9\",\n          \"credentialType\": \"APN\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        }\n      ],\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    },\n    {\n      \"name\": \"limonade_eats_app\",\n      \"isDefault\": false,\n      \"defaultCredentials\": [\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"FCM\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        },\n        {\n          \"id\": \"comms_credential_01h9krwprkeee8fzqspvwy6nq8\",\n          \"credentialType\": \"APN\",\n          \"createdAt\": \"2023-08-31T14:15:22Z\",\n          \"updatedAt\": \"2023-08-31T14:15:22Z\"\n        }\n      ],\n      \"createdAt\": \"2023-08-31T14:15:22Z\",\n      \"updatedAt\": \"2023-08-31T14:15:22Z\"\n    }\n  ],\n  \"pagination\": {\n    \"next\": null,\n    \"self\": \"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"\n  }\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"apps\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"name\"","#7EE787"],[":","#C9D1D9"]," ",["\"limonade_app\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"isDefault\"","#7EE787"],[":","#C9D1D9"]," ",["true","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"defaultCredentials\"","#7EE787"],[": [","#C9D1D9"],"\n        ",["{","#C9D1D9"],"\n          ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"FCM\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n        ",["},","#C9D1D9"],"\n        ",["{","#C9D1D9"],"\n          ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq9\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"APN\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n        ",["}","#C9D1D9"],"\n      ",["],","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"name\"","#7EE787"],[":","#C9D1D9"]," ",["\"limonade_eats_app\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"isDefault\"","#7EE787"],[":","#C9D1D9"]," ",["false","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"defaultCredentials\"","#7EE787"],[": [","#C9D1D9"],"\n        ",["{","#C9D1D9"],"\n          ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"FCM\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n        ",["},","#C9D1D9"],"\n        ",["{","#C9D1D9"],"\n          ",["\"id\"","#7EE787"],[":","#C9D1D9"]," ",["\"comms_credential_01h9krwprkeee8fzqspvwy6nq8\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"credentialType\"","#7EE787"],[":","#C9D1D9"]," ",["\"APN\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n          ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n        ",["}","#C9D1D9"],"\n      ",["],","#C9D1D9"],"\n      ",["\"createdAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"updatedAt\"","#7EE787"],[":","#C9D1D9"]," ",["\"2023-08-31T14:15:22Z\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["],","#C9D1D9"],"\n  ",["\"pagination\"","#7EE787"],[": {","#C9D1D9"],"\n    ",["\"next\"","#7EE787"],[":","#C9D1D9"]," ",["null","#79C0FF"],[",","#C9D1D9"],"\n    ",["\"self\"","#7EE787"],[":","#C9D1D9"]," ",["\"eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ==\"","#A5D6FF"],"\n  ",["}","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ServiceUnavailable":{"summary":"Service Unavailable","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20503,\n      \"message\": \"Service unavailable.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20503\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20503","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Service unavailable.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20503\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http503Response","modelName":"__components_responses_Http503Response"}}]} path="https://comms.twilio.com/v1/PushNotifications/Apps" method="get" specType="comms" />

List PushNotification Apps

```ts
import { TwilioClient } from "twilio-comms";

async function main() {
    const client = new TwilioClient({
        accountId: "<username>",
        authToken: "<password>",
    });
    await client.pushNotifications.apps.list({
        startDate: new Date("2024-01-15T09:30:00Z"),
        endDate: new Date("2024-01-15T09:30:00Z"),
        isDefault: true,
        pageToken: "pageToken",
        pageSize: 50,
    });
}
main();
```

```py
from twilio import TwilioComms
import datetime

client = TwilioComms(
    account_id="<username>",
    auth_token="<password>",
)

client.push_notifications.apps.list(
    start_date=datetime.datetime.fromisoformat("2024-01-15T09:30:00+00:00"),
    end_date=datetime.datetime.fromisoformat("2024-01-15T09:30:00+00:00"),
    is_default=True,
    page_token="pageToken",
    page_size=50,
)
```

```cs
using TwilioComms;
using System.Threading.Tasks;
using TwilioComms.PushNotifications;
using System;
using System.Globalization;

public partial class Examples
{
    public async Task Example() {
        var client = new TwilioCommsClient(
            accountId: "<username>",
            authToken: "<password>"
        );

        await client.PushNotifications.Apps.ListAsync(
            new AppsListRequest {
                StartDate = DateTime.Parse("2024-01-15T09:30:00Z", null, DateTimeStyles.AdjustToUniversal),
                EndDate = DateTime.Parse("2024-01-15T09:30:00Z", null, DateTimeStyles.AdjustToUniversal),
                IsDefault = true,
                PageToken = "pageToken",
                PageSize = 50
            }
        );
    }

}
```

```java
package com.example.usage;

import com.twilio.comms.TwilioCommsClient;
import com.twilio.comms.resources.pushnotifications.apps.requests.AppsListRequest;
import java.time.OffsetDateTime;

public class Example {
    public static void main(String[] args) {
        TwilioCommsClient client = TwilioCommsClient
            .builder()
            .credentials("<username>", "<password>")
            .build();

        client.pushNotifications().apps().list(
            AppsListRequest
                .builder()
                .startDate(OffsetDateTime.parse("2024-01-15T09:30:00Z"))
                .endDate(OffsetDateTime.parse("2024-01-15T09:30:00Z"))
                .isDefault(true)
                .pageToken("pageToken")
                .pageSize(50)
                .build()
        );
    }
}
```

```go
package example

import (
    context "context"

    twiliocomms "github.com/twilio/twilio-comms-go/twilio"
    client "github.com/twilio/twilio-comms-go/twilio/client"
    option "github.com/twilio/twilio-comms-go/twilio/option"
)

func do() {
    client := client.NewWithOptions(
        option.WithBasicAuth(
            "<username>",
            "<password>",
        ),
    )
    request := &twiliocomms.AppsListRequest{
        StartDate: twiliocomms.Time(
            twiliocomms.MustParseDateTime(
                "2024-01-15T09:30:00Z",
            ),
        ),
        EndDate: twiliocomms.Time(
            twiliocomms.MustParseDateTime(
                "2024-01-15T09:30:00Z",
            ),
        ),
        IsDefault: twiliocomms.Bool(
            true,
        ),
        PageToken: twiliocomms.String(
            "pageToken",
        ),
        PageSize: twiliocomms.Int(
            50,
        ),
    }
    client.PushNotifications.Apps.List(
        context.TODO(),
        request,
    )
}
```

```php
<?php

namespace Example;

use Twilio\TwilioComms;
use Twilio\PushNotifications\Apps\Requests\AppsListRequest;
use DateTime;

$client = new TwilioComms(
    accountId: '<username>',
    authToken: '<password>',
);
$client->pushNotifications->apps->list(
    new AppsListRequest([
        'startDate' => new DateTime('2024-01-15T09:30:00Z'),
        'endDate' => new DateTime('2024-01-15T09:30:00Z'),
        'isDefault' => true,
        'pageToken' => 'pageToken',
        'pageSize' => 50,
    ]),
);
```

```rb
require "twilio"

client = Twilio::Client.new(
  account_id: "<username>",
  auth_token: "<password>"
)

client.push_notifications.apps.list(
  start_date: "2024-01-15T09:30:00Z",
  end_date: "2024-01-15T09:30:00Z",
  is_default: true,
  page_token: "pageToken",
  page_size: 50
)
```

```bash
curl 'https://comms.twilio.com/v1/PushNotifications/Apps?pageSize=50' \
-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
```

## Update an App

`PATCH https://comms.twilio.com/v1/PushNotifications/Apps/{appName}`

Update an existing App by making an HTTP `PATCH` request to the App resource URI with the App name.

Set `isDefault` to `true` to make this App the default App for your account.

### Path parameters

```json
[{"schema":{"x-twilio-version":1,"title":"PushNotificationAppName","description":"The name of the Push Notification `App`.","type":"string","pattern":"^[a-z0-9_]+$","minLength":1,"maxLength":64,"refName":"PushNotificationAppName","modelName":""},"x-twilio-version":1,"name":"appName","in":"path","required":true}]
```

### Request body parameters

```json
{"schema":{"title":"UpdatePushNotificationAppRequest","type":"object","required":["isDefault"],"properties":{"isDefault":{"type":"boolean","description":"Whether this `App` is the default (Push Notification) App for the Account.\n\nSet to `true` to set this `App` as the default `App`."}}},"examples":{"UpdateDefaultApp":{"x-twilio-version":1,"summary":"Update default App","value":{"lang":"json","value":"{\n  \"isDefault\": true\n}","meta":"","code":"{\n  \"isDefault\": true\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"isDefault\"","#7EE787"],[":","#C9D1D9"]," ",["true","#79C0FF"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}},"encodingType":"application/json","conditionalParameterMap":{}}
```

### Responses

<OperationResponse responses={[{"responseCode":"202","schema":{"x-twilio-version":1,"description":"The request was accepted and a resource ID is available to check the result. The response body contains the resource ID and link to the resource.","headers":{"Location":{"x-twilio-version":1,"schema":{"x-twilio-version":1,"type":"string","format":"uri","description":"The location (uri) of the resource identified by `Resource-Id`.","refName":"ResourceLocation","modelName":""},"description":"The location (uri) of the resource identified by `Resource-Id`."}},"content":{"application/json":{"schema":{"title":"Http202ResponseWithResourceBody","description":"Response body for HTTP 202 response with Resource data.","type":"object","required":["resourceId","resourceLocation"],"refName":"Http202ResponseWithResourceBody","modelName":"Http202ResponseWithResourceBody","properties":{"resourceId":{"x-twilio-version":1,"type":"string","description":"The Resource ID is an identifier for the resource that was created or updated\n  in response to the request.","refName":"ResourceId","modelName":""},"resourceLocation":{"x-twilio-version":1,"type":"string","format":"uri","description":"The location (uri) of the resource identified by `Resource-Id`.","refName":"ResourceLocation","modelName":""}}},"examples":{"PatchPushNotificationAppAccepted":{"summary":"Update Push Notification App request accepted","x-twilio-version":1,"value":{"lang":"json","value":"{\n  \"resourceId\": \"limonade_app\",\n  \"resourceLocation\": \"https://comms.twilio.com/v1/PushNotifications/Apps/limonade_app\"\n}","meta":"","code":"{\n  \"resourceId\": \"limonade_app\",\n  \"resourceLocation\": \"https://comms.twilio.com/v1/PushNotifications/Apps/limonade_app\"\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"resourceId\"","#7EE787"],[":","#C9D1D9"]," ",["\"limonade_app\"","#A5D6FF"],[",","#C9D1D9"],"\n  ",["\"resourceLocation\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://comms.twilio.com/v1/PushNotifications/Apps/limonade_app\"","#A5D6FF"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}}}},{"responseCode":"400","schema":{"x-twilio-version":1,"description":"This error indicates that the request content was malformed or ambiguous.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"Resource not found","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"Not Found\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Not Found\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http400Response","modelName":"__components_responses_Http400Response"}},{"responseCode":"404","schema":{"x-twilio-version":1,"description":"This error indicates that the requested resource was not found.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"ResourceNotFound":{"summary":"404 Response","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20404,\n      \"message\": \"The resource was not found.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20404\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20404","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The resource was not found.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20404\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http404Response","modelName":"__components_responses_Http404Response"}},{"responseCode":"429","schema":{"x-twilio-version":1,"description":"This error indicates that you have sent too many requests to the API. You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"TooManyRequests":{"summary":"Too Many Requests","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20429,\n      \"message\": \"Too many requests. Please retry according to the Retry-After response header.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20429\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20429","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Too many requests. Please retry according to the Retry-After response header.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20429\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"headers":{"Retry-After":{"schema":{"type":"string"},"description":"The amount of time in seconds that the customer should wait before issuing a new request towards the API."}},"refName":"#/components/responses/Http429Response","modelName":"__components_responses_Http429Response"}},{"responseCode":"500","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is experiencing server-side issues. The request should not be retried.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}},"refName":"TwilioErrors","modelName":"TwilioErrors","properties":{"errors":{"description":"A list of one or more Twilio API errors.","type":"array","items":{"x-twilio-version":1,"title":"TwilioError","type":"object","description":"A generic error object communicating client and server side API errors.","required":["code","message","infoUrl","context"],"example":{"code":21614,"message":"The address specified in the request is not a valid phone number.","infoUrl":"https://www.twilio.com/docs/api/errors/21614","context":"$.to[0].address"},"refName":"TwilioError","modelName":"TwilioError","properties":{"code":{"type":"integer","description":"The Twilio error code."},"message":{"type":"string","description":"A human readable message describing the error."},"infoUrl":{"type":"string","format":"uri","description":"A URL to a [Twilio error directory](https://www.twilio.com/docs/api/errors) page with more information about the error code."},"context":{"description":"A JSON path that identifies the errant field.","type":["string","null"]}}}}}},"examples":{"InternalServerError":{"summary":"Internal Server Error","value":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 20500,\n      \"message\": \"Internal server error.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/20500\",\n      \"context\": \"null\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["20500","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"Internal server error.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/20500\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"null\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","background":"#0d1117"}}}}}},"refName":"#/components/responses/Http500Response","modelName":"__components_responses_Http500Response"}},{"responseCode":"503","schema":{"x-twilio-version":1,"description":"This error indicates that the Twilio API is temporarily unavailable.  You should retry according to the `Retry-After` response header.","content":{"application/json":{"schema":{"x-twilio-version":1,"title":"TwilioErrors","type":"object","required":["errors"],"example":{"lang":"json","value":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","meta":"","code":"{\n  \"errors\": [\n    {\n      \"code\": 21614,\n      \"message\": \"The address specified in the request is not a valid phone number.\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21614\",\n      \"context\": \"$.to[0].address\"\n    },\n    {\n      \"code\": 21617,\n      \"message\": \"The concatenated message text exceeds the 1600 character limit\",\n      \"infoUrl\": \"https://www.twilio.com/docs/api/errors/21617\",\n      \"context\": \"$.content.text\"\n    }\n  ]\n}","tokens":[["{","#C9D1D9"],"\n  ",["\"errors\"","#7EE787"],[": [","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21614","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The address specified in the request is not a valid phone number.\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21614\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.to[0].address\"","#A5D6FF"],"\n    ",["},","#C9D1D9"],"\n    ",["{","#C9D1D9"],"\n      ",["\"code\"","#7EE787"],[":","#C9D1D9"]," ",["21617","#79C0FF"],[",","#C9D1D9"],"\n      ",["\"message\"","#7EE787"],[":","#C9D1D9"]," ",["\"The concatenated message text exceeds the 1600 character limit\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"infoUrl\"","#7EE787"],[":","#C9D1D9"]," ",["\"https://www.twilio.com/docs/api/errors/21617\"","#A5D6FF"],[",","#C9D1D9"],"\n      ",["\"context\"","#7EE787"],[":","#C9D1D9"]," ",["\"$.content.text\"","#A5D6FF"],"\n    ",["}","#C9D1D9"],"\n  ",["]","#C9D1D9"],"\n",["}","#C9D1D9"]],"annotations":[],"themeName":"github-dark","style":{"color":"#c9d1d9","bac
[...]
